gi-gdkpixbuf-2.0.32: GdkPixbuf bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GdkPixbuf.Enums

Contents

- Enumerations
  - Colorspace
  - InterpType
  - PixbufAlphaMode
  - PixbufError
  - PixbufRotation

Description

Synopsis

- data Colorspace
  - = ColorspaceRgb
  - | AnotherColorspace Int
- data InterpType
  - = InterpTypeNearest
  - | InterpTypeTiles
  - | InterpTypeBilinear
  - | InterpTypeHyper
  - | AnotherInterpType Int
- data PixbufAlphaMode
  - = PixbufAlphaModeBilevel
  - | PixbufAlphaModeFull
  - | AnotherPixbufAlphaMode Int
- data PixbufError
  - = PixbufErrorCorruptImage
  - | PixbufErrorInsufficientMemory
  - | PixbufErrorBadOption
  - | PixbufErrorUnknownType
  - | PixbufErrorUnsupportedOperation
  - | PixbufErrorFailed
  - | PixbufErrorIncompleteAnimation
  - | AnotherPixbufError Int
- catchPixbufError :: IO a -> (PixbufError -> GErrorMessage -> IO a) -> IO a
- handlePixbufError :: (PixbufError -> GErrorMessage -> IO a) -> IO a -> IO a
- data PixbufRotation
  - = PixbufRotationNone
  - | PixbufRotationCounterclockwise
  - | PixbufRotationUpsidedown
  - | PixbufRotationClockwise
  - | AnotherPixbufRotation Int

# Enumerations

## Colorspace

data Colorspace Source #

This enumeration defines the color spaces that are supported by the gdk-pixbuf library.

Currently only RGB is supported.

Constructors

ColorspaceRgb | Indicates a red/green/blue additive color space.
AnotherColorspace Int | Catch-all for unknown values

#### Instances

Instances details

Enum Colorspace Source # |

Instance details

Defined in GI.GdkPixbuf.Enums

Methods

succ :: Colorspace -> Colorspace Source #

pred :: Colorspace -> Colorspace Source #

toEnum :: Int -> Colorspace Source #

fromEnum :: Colorspace -> Int Source #

enumFrom :: Colorspace -> [Colorspace] Source #

enumFromThen :: Colorspace -> Colorspace -> [Colorspace] Source #

enumFromTo :: Colorspace -> Colorspace -> [Colorspace] Source #

enumFromThenTo :: Colorspace -> Colorspace -> Colorspace -> [Colorspace] Source #

Show Colorspace Source # |
Instance details Defined in GI.GdkPixbuf.Enums Methods showsPrec :: Int -> Colorspace -> ShowS Source # show :: Colorspace -> String Source # showList :: [Colorspace] -> ShowS Source #
Eq Colorspace Source # |
Instance details Defined in GI.GdkPixbuf.Enums Methods (==) :: Colorspace -> Colorspace -> Bool Source # (/=) :: Colorspace -> Colorspace -> Bool Source #
Ord Colorspace Source # |

Instance details

Defined in GI.GdkPixbuf.Enums

Methods

compare :: Colorspace -> Colorspace -> Ordering Source #

(<) :: Colorspace -> Colorspace -> Bool Source #

(<=) :: Colorspace -> Colorspace -> Bool Source #

(>) :: Colorspace -> Colorspace -> Bool Source #

(>=) :: Colorspace -> Colorspace -> Bool Source #

max :: Colorspace -> Colorspace -> Colorspace Source #

min :: Colorspace -> Colorspace -> Colorspace Source #

BoxedEnum Colorspace Source # |
Instance details Defined in GI.GdkPixbuf.Enums
TypedObject Colorspace Source # |
Instance details Defined in GI.GdkPixbuf.Enums Methods glibType :: IO GType Source #
HasParentTypes Colorspace Source # |
Instance details Defined in GI.GdkPixbuf.Enums
type ParentTypes Colorspace Source # |
Instance details Defined in GI.GdkPixbuf.Enums type ParentTypes Colorspace = '[] :: [Type]

## InterpType

data InterpType Source #

Interpolation modes for scaling functions.

The `GDK_INTERP_NEAREST` mode is the fastest scaling method, but has horrible quality when scaling down; `GDK_INTERP_BILINEAR` is the best choice if you aren't sure what to choose, it has a good speed/quality balance.

Note: Cubic filtering is missing from the list; hyperbolic interpolation is just as fast and results in higher quality.

Constructors

InterpTypeNearest | Nearest neighbor sampling; this is the fastest and lowest quality mode. Quality is normally unacceptable when scaling down, but may be OK when scaling up.
InterpTypeTiles | This is an accurate simulation of the PostScript image operator without any interpolation enabled. Each pixel is rendered as a tiny parallelogram of solid color, the edges of which are implemented with antialiasing. It resembles nearest neighbor for enlargement, and bilinear for reduction.
InterpTypeBilinear | Best quality/speed balance; use this mode by default. Bilinear interpolation. For enlargement, it is equivalent to point-sampling the ideal bilinear-interpolated image. For reduction, it is equivalent to laying down small tiles and integrating over the coverage area.

InterpTypeHyper

This is the slowest and highest quality reconstruction function. It is derived from the hyperbolic filters in Wolberg's "Digital Image Warping", and is formally defined as the hyperbolic-filter sampling the ideal hyperbolic-filter interpolated image (the filter is designed to be idempotent for 1:1 pixel mapping). Deprecated: this interpolation filter is deprecated, as in reality it has a lower quality than the `gDKINTERPBILINEAR` filter (Since: 2.38)

AnotherInterpType Int | Catch-all for unknown values

#### Instances

Instances details

Enum InterpType Source # |

Instance details

Defined in GI.GdkPixbuf.Enums

Methods

succ :: InterpType -> InterpType Source #

pred :: InterpType -> InterpType Source #

toEnum :: Int -> InterpType Source #

fromEnum :: InterpType -> Int Source #

enumFrom :: InterpType -> [InterpType] Source #

enumFromThen :: InterpType -> InterpType -> [InterpType] Source #

enumFromTo :: InterpType -> InterpType -> [InterpType] Source #

enumFromThenTo :: InterpType -> InterpType -> InterpType -> [InterpType] Source #

Show InterpType Source # |
Instance details Defined in GI.GdkPixbuf.Enums Methods showsPrec :: Int -> InterpType -> ShowS Source # show :: InterpType -> String Source # showList :: [InterpType] -> ShowS Source #
Eq InterpType Source # |
Instance details Defined in GI.GdkPixbuf.Enums Methods (==) :: InterpType -> InterpType -> Bool Source # (/=) :: InterpType -> InterpType -> Bool Source #
Ord InterpType Source # |

Instance details

Defined in GI.GdkPixbuf.Enums

Methods

compare :: InterpType -> InterpType -> Ordering Source #

(<) :: InterpType -> InterpType -> Bool Source #

(<=) :: InterpType -> InterpType -> Bool Source #

(>) :: InterpType -> InterpType -> Bool Source #

(>=) :: InterpType -> InterpType -> Bool Source #

max :: InterpType -> InterpType -> InterpType Source #

min :: InterpType -> InterpType -> InterpType Source #

BoxedEnum InterpType Source # |
Instance details Defined in GI.GdkPixbuf.Enums
TypedObject InterpType Source # |
Instance details Defined in GI.GdkPixbuf.Enums Methods glibType :: IO GType Source #
HasParentTypes InterpType Source # |
Instance details Defined in GI.GdkPixbuf.Enums
type ParentTypes InterpType Source # |
Instance details Defined in GI.GdkPixbuf.Enums type ParentTypes InterpType = '[] :: [Type]

## PixbufAlphaMode

data PixbufAlphaMode Source #

Deprecated: (Since version 2.42)There is no user of GdkPixbufAlphaMode in GdkPixbuf,and the Xlib utility functions have been split out to their ownlibrary, gdk-pixbuf-xlib

Control the alpha channel for drawables.

These values can be passed to `gdk_pixbuf_xlib_render_to_drawable_alpha()` in gdk-pixbuf-xlib to control how the alpha channel of an image should be handled.

This function can create a bilevel clipping mask (black and white) and use it while painting the image.

In the future, when the X Window System gets an alpha channel extension, it will be possible to do full alpha compositing onto arbitrary drawables. For now both cases fall back to a bilevel clipping mask.

Constructors

PixbufAlphaModeBilevel | A bilevel clipping mask (black and white) will be created and used to draw the image. Pixels below 0.5 opacity will be considered fully transparent, and all others will be considered fully opaque.
PixbufAlphaModeFull | For now falls back to `GDK_PIXBUF_ALPHA_BILEVEL`. In the future it will do full alpha compositing.
AnotherPixbufAlphaMode Int | Catch-all for unknown values

#### Instances

Instances details

Enum PixbufAlphaMode Source # |

Instance details

Defined in GI.GdkPixbuf.Enums

Methods

succ :: PixbufAlphaMode -> PixbufAlphaMode Source #

pred :: PixbufAlphaMode -> PixbufAlphaMode Source #

toEnum :: Int -> PixbufAlphaMode Source #

fromEnum :: PixbufAlphaMode -> Int Source #

enumFrom :: PixbufAlphaMode -> [PixbufAlphaMode] Source #

enumFromThen :: PixbufAlphaMode -> PixbufAlphaMode -> [PixbufAlphaMode] Source #

enumFromTo :: PixbufAlphaMode -> PixbufAlphaMode -> [PixbufAlphaMode] Source #

enumFromThenTo :: PixbufAlphaMode -> PixbufAlphaMode -> PixbufAlphaMode -> [PixbufAlphaMode] Source #

Show PixbufAlphaMode Source # |
Instance details Defined in GI.GdkPixbuf.Enums Methods showsPrec :: Int -> PixbufAlphaMode -> ShowS Source # show :: PixbufAlphaMode -> String Source # showList :: [PixbufAlphaMode] -> ShowS Source #
Eq PixbufAlphaMode Source # |
Instance details Defined in GI.GdkPixbuf.Enums Methods (==) :: PixbufAlphaMode -> PixbufAlphaMode -> Bool Source # (/=) :: PixbufAlphaMode -> PixbufAlphaMode -> Bool Source #
Ord PixbufAlphaMode Source # |

Instance details

Defined in GI.GdkPixbuf.Enums

Methods

compare :: PixbufAlphaMode -> PixbufAlphaMode -> Ordering Source #

(<) :: PixbufAlphaMode -> PixbufAlphaMode -> Bool Source #

(<=) :: PixbufAlphaMode -> PixbufAlphaMode -> Bool Source #

(>) :: PixbufAlphaMode -> PixbufAlphaMode -> Bool Source #

(>=) :: PixbufAlphaMode -> PixbufAlphaMode -> Bool Source #

max :: PixbufAlphaMode -> PixbufAlphaMode -> PixbufAlphaMode Source #

min :: PixbufAlphaMode -> PixbufAlphaMode -> PixbufAlphaMode Source #

BoxedEnum PixbufAlphaMode Source # |
Instance details Defined in GI.GdkPixbuf.Enums
TypedObject PixbufAlphaMode Source # |
Instance details Defined in GI.GdkPixbuf.Enums Methods glibType :: IO GType Source #
HasParentTypes PixbufAlphaMode Source # |
Instance details Defined in GI.GdkPixbuf.Enums
type ParentTypes PixbufAlphaMode Source # |
Instance details Defined in GI.GdkPixbuf.Enums type ParentTypes PixbufAlphaMode = '[] :: [Type]

## PixbufError

data PixbufError Source #

An error code in the `GDK_PIXBUF_ERROR` domain.

Many gdk-pixbuf operations can cause errors in this domain, or in the `G_FILE_ERROR` domain.

Constructors

PixbufErrorCorruptImage | An image file was broken somehow.
PixbufErrorInsufficientMemory | Not enough memory.
PixbufErrorBadOption | A bad option was passed to a pixbuf save module.
PixbufErrorUnknownType | Unknown image type.
PixbufErrorUnsupportedOperation | Don't know how to perform the given operation on the type of image at hand.
PixbufErrorFailed | Generic failure code, something went wrong.
PixbufErrorIncompleteAnimation | Only part of the animation was loaded.
AnotherPixbufError Int | Catch-all for unknown values

#### Instances

Instances details

Enum PixbufError Source # |

Instance details

Defined in GI.GdkPixbuf.Enums

Methods

succ :: PixbufError -> PixbufError Source #

pred :: PixbufError -> PixbufError Source #

toEnum :: Int -> PixbufError Source #

fromEnum :: PixbufError -> Int Source #

enumFrom :: PixbufError -> [PixbufError] Source #

enumFromThen :: PixbufError -> PixbufError -> [PixbufError] Source #

enumFromTo :: PixbufError -> PixbufError -> [PixbufError] Source #

enumFromThenTo :: PixbufError -> PixbufError -> PixbufError -> [PixbufError] Source #

Show PixbufError Source # |
Instance details Defined in GI.GdkPixbuf.Enums Methods showsPrec :: Int -> PixbufError -> ShowS Source # show :: PixbufError -> String Source # showList :: [PixbufError] -> ShowS Source #
Eq PixbufError Source # |
Instance details Defined in GI.GdkPixbuf.Enums Methods (==) :: PixbufError -> PixbufError -> Bool Source # (/=) :: PixbufError -> PixbufError -> Bool Source #
Ord PixbufError Source # |

Instance details

Defined in GI.GdkPixbuf.Enums

Methods

compare :: PixbufError -> PixbufError -> Ordering Source #

(<) :: PixbufError -> PixbufError -> Bool Source #

(<=) :: PixbufError -> PixbufError -> Bool Source #

(>) :: PixbufError -> PixbufError -> Bool Source #

(>=) :: PixbufError -> PixbufError -> Bool Source #

max :: PixbufError -> PixbufError -> PixbufError Source #

min :: PixbufError -> PixbufError -> PixbufError Source #

BoxedEnum PixbufError Source # |
Instance details Defined in GI.GdkPixbuf.Enums
TypedObject PixbufError Source # |
Instance details Defined in GI.GdkPixbuf.Enums Methods glibType :: IO GType Source #
GErrorClass PixbufError Source # |
Instance details Defined in GI.GdkPixbuf.Enums Methods gerrorClassDomain :: PixbufError -> Text Source #
HasParentTypes PixbufError Source # |
Instance details Defined in GI.GdkPixbuf.Enums
type ParentTypes PixbufError Source # |
Instance details Defined in GI.GdkPixbuf.Enums type ParentTypes PixbufError = '[] :: [Type]

catchPixbufError :: IO a -> (PixbufError -> GErrorMessage -> IO a) -> IO a Source #

Catch exceptions of type `PixbufError`. This is a specialized version of `catchGErrorJustDomain`.

handlePixbufError :: (PixbufError -> GErrorMessage -> IO a) -> IO a -> IO a Source #

Handle exceptions of type `PixbufError`. This is a specialized version of `handleGErrorJustDomain`.

## PixbufRotation

data PixbufRotation Source #

The possible rotations which can be passed to `pixbufRotateSimple`.

To make them easier to use, their numerical values are the actual degrees.

Constructors

PixbufRotationNone | No rotation.
PixbufRotationCounterclockwise | Rotate by 90 degrees.
PixbufRotationUpsidedown | Rotate by 180 degrees.
PixbufRotationClockwise | Rotate by 270 degrees.
AnotherPixbufRotation Int | Catch-all for unknown values

#### Instances

Instances details

Enum PixbufRotation Source # |

Instance details

Defined in GI.GdkPixbuf.Enums

Methods

succ :: PixbufRotation -> PixbufRotation Source #

pred :: PixbufRotation -> PixbufRotation Source #

toEnum :: Int -> PixbufRotation Source #

fromEnum :: PixbufRotation -> Int Source #

enumFrom :: PixbufRotation -> [PixbufRotation] Source #

enumFromThen :: PixbufRotation -> PixbufRotation -> [PixbufRotation] Source #

enumFromTo :: PixbufRotation -> PixbufRotation -> [PixbufRotation] Source #

enumFromThenTo :: PixbufRotation -> PixbufRotation -> PixbufRotation -> [PixbufRotation] Source #

Show PixbufRotation Source # |
Instance details Defined in GI.GdkPixbuf.Enums Methods showsPrec :: Int -> PixbufRotation -> ShowS Source # show :: PixbufRotation -> String Source # showList :: [PixbufRotation] -> ShowS Source #
Eq PixbufRotation Source # |
Instance details Defined in GI.GdkPixbuf.Enums Methods (==) :: PixbufRotation -> PixbufRotation -> Bool Source # (/=) :: PixbufRotation -> PixbufRotation -> Bool Source #
Ord PixbufRotation Source # |

Instance details

Defined in GI.GdkPixbuf.Enums

Methods

compare :: PixbufRotation -> PixbufRotation -> Ordering Source #

(<) :: PixbufRotation -> PixbufRotation -> Bool Source #

(<=) :: PixbufRotation -> PixbufRotation -> Bool Source #

(>) :: PixbufRotation -> PixbufRotation -> Bool Source #

(>=) :: PixbufRotation -> PixbufRotation -> Bool Source #

max :: PixbufRotation -> PixbufRotation -> PixbufRotation Source #

min :: PixbufRotation -> PixbufRotation -> PixbufRotation Source #

BoxedEnum PixbufRotation Source # |
Instance details Defined in GI.GdkPixbuf.Enums
TypedObject PixbufRotation Source # |
Instance details Defined in GI.GdkPixbuf.Enums Methods glibType :: IO GType Source #
HasParentTypes PixbufRotation Source # |
Instance details Defined in GI.GdkPixbuf.Enums
type ParentTypes PixbufRotation Source # |
Instance details Defined in GI.GdkPixbuf.Enums type ParentTypes PixbufRotation = '[] :: [Type]